Update an existing product
scopes:
Documentation Index
Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}where the access_token is JSON Web Tokens (JWT).
An id that uniquely identifies the account.
9An id that uniquely identifies the catalog. (must not have trailing or leading spaces)
255A string that uniquely identifies the product. (must not have trailing or leading spaces)
255products
The products name which is shown to customers
"Stablestol"
"Stablestol for utendørsbruk"
10900
Unit type
"stk"
The three-character ISO-4217 currency. https://en.wikipedia.org/wiki/ISO_4217
"NOK"
The product will not be visible until this time
The product will not be visible after this time
Identify item attributes, such as size and color
Links to images of product
[
{
"href": "https://example.dintero.com/c/photos/2018/6_20_thumbnail_image.png",
"rel": "thumbnail_image",
"caption": "Image of current discount"
},
{
"href": "https://example.dintero.com/c/photos/2018/6_20_medium_image.png",
"rel": "medium_image"
}
]All locations connected to the product
[
{
"location_id": "SC_Oslo",
"location_name": "SuperChain Oslo",
"is_available_for_shipping": false,
"is_available_for_pickup": true,
"number_of_items_in_storage": 15
},
{
"location_id": "SC_web",
"location_name": "SuperChain Webshop",
"is_available_for_shipping": true,
"is_available_for_pickup": false,
"number_of_items_in_storage": 500
}
]Product updated
An UUID that uniquely identifies the resource
The date-time when the resource was created
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
The date-time when the resource was last updated
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
The products name which is shown to customers
"Stablestol"
"Stablestol for utendørsbruk"
10900
Unit type
"stk"
The three-character ISO-4217 currency. https://en.wikipedia.org/wiki/ISO_4217
"NOK"
The product will not be visible until this time
The product will not be visible after this time
Identify item attributes, such as size and color
Links to images of product
[
{
"href": "https://example.dintero.com/c/photos/2018/6_20_thumbnail_image.png",
"rel": "thumbnail_image",
"caption": "Image of current discount"
},
{
"href": "https://example.dintero.com/c/photos/2018/6_20_medium_image.png",
"rel": "medium_image"
}
]All locations connected to the product
[
{
"location_id": "SC_Oslo",
"location_name": "SuperChain Oslo",
"is_available_for_shipping": false,
"is_available_for_pickup": true,
"number_of_items_in_storage": 15
},
{
"location_id": "SC_web",
"location_name": "SuperChain Webshop",
"is_available_for_shipping": true,
"is_available_for_pickup": false,
"number_of_items_in_storage": 500
}
]The id to define the product. An auto-generated product_id will be created if no product_id is provided
"Stol22"
The id to define which catalog the product is a part of. An auto-generated ID will be created if not provided
"S23"
Name of corresponding catalog
"Sommer"